Bug 264118 - [KRA ATTACHED] Changing visibility of a layer on this file crashes Krita - %100 reproducible
Summary: [KRA ATTACHED] Changing visibility of a layer on this file crashes Krita - %1...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 22:26 UTC by Kubuntiac
Modified: 2011-06-09 13:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Crashing .kra file (310.02 KB, application/octet-stream)
2011-01-23 23:30 UTC, Kubuntiac
Details
Patch for this bug. (901 bytes, patch)
2011-06-09 01:05 UTC, Christian Krippendorf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kubuntiac 2011-01-23 22:26:42 UTC
Version:           unspecified
OS:                Linux

Application: krita (2.4 Alpha 1)
KDE Platform Version: 4.5.5 (KDE 4.5.5)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-24-generic-pae i686
Distribution: Ubuntu 10.10

Turning off visibility of the clone layer in this file crashes krita for me every time.

git describe --tags:
v1.9.95.4-20580-10553e9

Reproducible: Always

Steps to Reproduce:
Open the attached file. Turn off visibility of the clone layer (titled "Paint clone")

Actual Results:  
Crash

Expected Results:  
No Crash :)
Comment 1 Kubuntiac 2011-01-23 23:30:54 UTC
Created attachment 56365 [details]
Crashing .kra file

File wasn't attached for some reason. Here it is.
Comment 2 Sven Langkamp 2011-01-23 23:37:07 UTC
Backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd14a3700 (LWP 7890)]
0x00007fffdc9ca83a in KisHSVAdjustment<unsigned char>::transform (this=0x7fffcd6dfd80, srcU8=0x0, dstU8=0x0, nPixels=4096) at /home/sven/kde/src/calligra/krita/plugins/colorspaces/extensions/kis_hsv_adjustment.cc:93
93                  RGBToHSV(SCALE_TO_FLOAT(src->red), SCALE_TO_FLOAT(src->green), SCALE_TO_FLOAT(src->blue), &h, &s, &v);
(gdb) bt
#0  0x00007fffdc9ca83a in KisHSVAdjustment<unsigned char>::transform (this=0x7fffcd6dfd80, srcU8=0x0, dstU8=0x0, nPixels=4096) at /home/sven/kde/src/calligra/krita/plugins/colorspaces/extensions/kis_hsv_adjustment.cc:93
#1  0x00007ffff6bc8011 in KisColorTransformationFilter::process (this=0x8c11b0, device=..., applyRect=..., config=0x34248e0, progressUpdater=0x7fffcc5fb8b0)
    at /home/sven/kde/src/calligra/krita/image/filter/kis_color_transformation_filter.cc:69
#2  0x00007ffff6bc28d2 in KisFilter::process (this=0x8c11b0, src=..., dst=..., sel=..., applyRect=..., config=0x34248e0, progressUpdater=0x7fffcc5fb8b0) at /home/sven/kde/src/calligra/krita/image/filter/kis_filter.cc:110
#3  0x00007ffff6b641f1 in KisUpdateOriginalVisitor::visit (this=0x7fffd14a2c10, layer=0x3588c70) at /home/sven/kde/build/calligra/krita/image/../../../../src/calligra/krita/image/kis_async_merger.h:107
#4  0x00007ffff6bcd3da in KisAdjustmentLayer::accept (this=0x3588c70, v=...) at /home/sven/kde/src/calligra/krita/image/kis_adjustment_layer.cc:114
#5  0x00007ffff6b649ac in KisAsyncMerger::startMerge (this=0x3012438, walker=...) at /home/sven/kde/build/calligra/krita/image/../../../../src/calligra/krita/image/kis_async_merger.h:210
#6  0x00007ffff6b654fb in KisUpdateJobItem::run (this=0x3012410) at /home/sven/kde/build/calligra/krita/image/../../../../src/calligra/krita/image/kis_updater_context.h:40
#7  0x00007ffff77c6e7f in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007ffff77d0f95 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007ffff75409ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fffeff3c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
Comment 3 Christian Krippendorf 2011-06-09 01:05:03 UTC
Created attachment 60801 [details]
Patch for this bug.
Comment 4 Halla Rempt 2011-06-09 08:21:41 UTC
Great! I checked it and it fixes the bug. I will apply and commit the patch.
Comment 5 Halla Rempt 2011-06-09 13:19:29 UTC
Git commit cbc9d497db3901b24ec75a6c5986dfe63262bc11 by Boudewijn Rempt.
Committed on 09/06/2011 at 13:17.
Pushed by rempt into branch 'master'.

Fix crash when updatable rect is empty

Fix  by Cerebrosus. We should't actually do anything if the updaterect
is empty for some reason.
BUG:264118
CCMAIL: BugReporting@cerebrosus.de

M  +4    -0    krita/image/kis_async_merger.h     

http://commits.kde.org/calligra/cbc9d497db3901b24ec75a6c5986dfe63262bc11